Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

At this point, octave 3.2 is the version available for directly installation in ubuntu 12.04. But latest stable octave is 3.6.1 now.

Will Octave 3.6.1 be packaged for ubuntu 12.04?

share|improve this question
1  
Just to let you know, Octave 3.6.1 is in 12.10. Not what you want I know, but something that might cheer you up. :) –  jokerdino May 2 '12 at 15:42
    
Thanks for the info. –  G. He May 2 '12 at 15:57

4 Answers 4

up vote 7 down vote accepted

Short answer: No

Octave is still in version 3.2 in 12.04. A bug report has been filed for Octave to be upgraded from 3.2 to 3.4 and then to 3.6.1 but no action has been taken regarding this lately.

You can possibly subscribe to the bug and get updates regarding this bug report:

It is a community package which means it is up to the community to package and update the Universe repository.

If you really want to use the latest version, you can help fix the several bugs that is blocking the transition of Octave from 3.2 to 3.6 in the Debian repository and hopefully, the latest version will then be imported into Ubuntu repository.


Update for 12.10
Htorque has just confirmed that Octave 3.6.1-4 is in the Quantal repository. Time to rejoice.

share|improve this answer
    
Relevant bug report on Debian regarding transition of Octave from 3.2 to 3.6. There will be 3.6 in Ubuntu once Debian repo has it. From what I see, hopefully, 12.10 will have the latest stable version of Octave. –  jokerdino Apr 24 '12 at 11:38
    
I downvoted by mistake :( , cant revert it :( –  Tachyons Apr 24 '12 at 12:09
    
Debian repo has had Otave 3.4 and, more recently, 3.6.1 for a while now. This can not be the reason. –  Marius Apr 25 '12 at 14:40
    
That's very interesting to know Debian has 3.6.1. What exactly is the real reason for ubuntu not carrying 3.6.1? –  G. He Apr 25 '12 at 23:07

It is available on a non-official PPA on launchpad if you're willing to go that route:

https://launchpad.net/~picaso/+archive/octave

https://launchpad.net/~mvanderkolff/+archive/octave-3.6

EDIT: The second ppa doesn't work well. There are some version conflicts in the build dependencies. Use the first link. It works like a dream.

share|improve this answer

In addition to what Brenton Horne mentions, for those of you trying to compile 3.6.X, you should install these libraries first:

sudo apt-get install libqhull-dev libpcre++-dev libblas-dev liblapack-dev libreadline-dev
sudo apt-get install libcurl4-openssl-dev libfltk1.3-dev libgraphicsmagick++-dev libhdf5-serial-dev libqrupdate-dev libsuitesparse-metis-dev glpk gperf flex bison libfontconfig1-dev

Now you should have all the required dependencies. Stolen from here: http://verahill.blogspot.com.es/2012/02/debian-testing-wheezy-64-compiling.html

share|improve this answer

Well your aim in asking this question is probably to get a viable method of downloading and installing the latest GNU Octave releases. In which case I have a solution for you. Basically copy and paste the following commands into terminal (ctrl+alt+T):

wget http://ftp.gnu.org/gnu/octave/octave-x.x.x.tar.bz2
tar --bzip2 -xvf octave-x.x.x.tar.bz2
sudo rm -r octave-x.x.x.tar.bz2
cd octave-x.x.x.tar.bz2
./configure
make
sudo make install

Where 'x.x.x' is the GNU Octave version number that you're trying to download and install. You may find out what's the latest release by going to http://ftp.gnu.org/gnu/octave/. From here you can also download the release you'd like to install. If you do this the only adjustment to the above code is add:

cd ~/Downloads
sudo mv octave-x.x.x.tar.bz2 /home/username/
cd ~
share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.